using this /libs/wcm/foundation/components/utils/ParagraphSystem.js for paraghraphsystem in AEM 6.4 is correct ?

rushikesavaredd

19-12-2018

I am new to aem 6.4 and I have upgraded my project form 6.2 to 6.4. In the below code "content-section-parsys.js"file  uses  /libs/wcm/foundation/components/utils/ParagraphSystem.js for ParagraphSystem. Will it work if we use this paragraphsystem.js AEM 6.4 or we need to use any other js for ParagraphSystem.

content-section-parsys.html :

<sly data-sly-use.parsysComponent="content-section-parsys.js" data-sly-list.row="${parsysComponent.rows}">

   <div class="row${row.wrapperCssClass}">

      <sly data-sly-list.column="${row.columns}">

         <div id="section-${currentNode.parent.identifier}-${column.index}" class="${column.wrapperCssClass}" style="outline: none;">

            <sly data-sly-test="${!column.columns && column.resourceType}"

                 data-sly-resource="${column.resourcePath @ resourceType=column.resourceType, cssClassName=column.cssClasses}"></sly>

         </div>

      </sly>

   </div>

</sly>

Accepted Solutions (1)

Accepted Solutions (1)

AnkurAhlawat

07-01-2019

In AEM 6.4 it is recommended to use responsive grid, in order to make full use of layout container and editable template. But yes in aem 6.4 also paragraphsystem.js is available as same location. The only change is you will not be able to overlay this node as this is of type type granite:finalArea whereas in aem 6.2 it is normal node so you will be able to overlay this.

Answers (0)